%define upstream_name    URI-Find-Simple
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A simple interface to URI::Find 
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI::Find)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
URI::Find is all very well, but sometimes you just want a list of the links 
in a given piece of text, or you want to change all the urls in some text 
somehow, and don't want to mess with callback interfaces.

This module uses URI::Find, but hides the callback interface, providing two 
functions - one to list all the uris, and one to change all the uris.
%prep
%setup -q -n URI-Find-Simple-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/URI/
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-7.mga8
+ Revision: 1498053
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-6.mga7
+ Revision: 1272415
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-5.mga6
+ Revision: 1035620
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-4.mga6
+ Revision: 948164
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-3.mga5
+ Revision: 745234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-2.mga5
+ Revision: 686771
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 1.60.0-1.mga5
+ Revision: 660386
- update to 1.06

* Mon Feb 10 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 588823
- update to 1.05

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 515846
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 374567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 29413
- mageia rebuild
- imported package perl-URI-Find-Simple


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2011.0
+ Revision: 596696
- update to 1.03
- update to 1.03

* Tue Nov 10 2009 Michael Scherer <misc@mandriva.org> 1.01-3mdv2011.0
+ Revision: 463854
- fix License
- add a note on the patch i have added, as upstream is not such about it
- fix test, with a patch from rt.cpan.org written by David Golden

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.1
+ Revision: 292357
- update to new version 1.01

* Fri Jun 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1-1mdv2009.0
+ Revision: 227427
- update to new version 1

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Dec 07 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdv2007.0
+ Revision: 91986
- Import perl-URI-Find-Simple

* Thu Dec 07 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdv2007.1
- First Mandriva package

